use mlua::prelude::*;

mod renderer;
mod script;

#[mlua::lua_module]
fn stundenplaner(lua: &Lua) -> LuaResult<LuaTable> {
    let exports = lua.create_table()?;

    exports.set("render", lua.create_function(script::lua_render)?)?;

    Ok(exports)
}
